Name: irqbalance
Version: 0.55
Release: alt1

Summary: Evenly distribute interrupt load across CPUs.
License: OSL
Group: System/Kernel and hardware

URL: http://www.irqbalance.org
Source0: %name-0.55.tar.gz
Source1: %name.init
Source2: %name.sysconfig
Source3: %name.1

Patch0:	%name-0.55-alt-makefile.patch

Packager: Dmitry Lebkov <dlebkov@altlinux.ru>

# Automatically added by buildreq on Sun May 13 2007
BuildRequires: gccmakedep glib2-devel
BuildRequires: kernel-headers-std-smp

%description
* irqbalance - Evenly distribute interrupt load across CPUs.

%prep
%setup -q
%patch0 -p1

%build
%make_build

%install
%__mkdir_p %buildroot/%_sbindir/
%__mkdir_p %buildroot/%_man1dir/
%__mkdir_p %buildroot/%_initdir/
%__mkdir_p %buildroot/%_sysconfdir/sysconfig

%__install -p -m0755 irqbalance %buildroot/%_sbindir/
%__install -p -m0755 %SOURCE1 %buildroot/%_initdir/irqbalance
%__install -p -m0644 %SOURCE2 %buildroot/%_sysconfdir/sysconfig/irqbalance
%__install -p -m0644 %SOURCE3 %buildroot/%_man1dir/

%preun
%preun_service irqbalance

%post
%post_service irqbalance



%files
%_sbindir/irqbalance
%config(noreplace) %_sysconfdir/sysconfig/irqbalance
%_initdir/irqbalance
%_man1dir/irqbalance.1*

%changelog
* Sun May 13 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 0.55-alt1
- 0.55

* Sat Feb 25 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 0.12-alt0
- inital package for ALT (based on RHEL4 kernel-utils)
